cURL
curl --request POST \ --url https://api.payvessel.com/kyc/api/v1/merchant/documents/drivers-license \ --header 'Content-Type: <content-type>' \ --header 'api-key: <api-key>' \ --header 'api-secret: <api-secret>' \ --data ' { "license_number": "LAG-DL-4839201" } '
200
successfulVerification
{ "success": true, "message": "Driver's license verification completed successfully", "data": { "first_name": "John", "middle_name": "Adebayo", "last_name": "Doe", "gender": "MALE", "birth_date": "1992-08-14", "photo": "/9j/4AAQSkZJRgABAQAAAQABAAD...", "license_number": "LAG-DL-4839201", "issue_date": "2021-06-01", "expiry_date": "2026-05-31" }, "charges": { "charged": false, "charged_amount": "0.00" } }
Verify a driver’s license and retrieve the identity details attached to the license number.
Your PayVessel API key
Your PayVessel API secret
Request content type
application/json
Driver's license number
"LAG-DL-4839201"
Driver's license verification response
true
"Driver's license verification completed successfully"
Show child attributes